/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file uart.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include "uart.h"

volatile unsigned int *UART0 = (unsigned int *)UART_BASE;


void
uart_init(void)
{

}


void
uart_putc(unsigned char c)
{
	*UART0 = (unsigned int) c;
}


void
uart_puts(const unsigned char *s)
{
	while(*s) {
		*UART0 = (unsigned int) *(s++);
	}
}
